Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 738238 - media-video/ffmpeg-4.3.1: stabilisation
Summary: media-video/ffmpeg-4.3.1: stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks:
 
Reported: 2020-08-20 18:26 UTC by Sam James
Modified: 2020-12-22 20:05 UTC (History)
4 users (show)

See Also:
Package list:
media-video/ffmpeg-4.3.1 amd64 x86 arm64 arm ppc64 sparc media-video/rav1e-0.3.3 amd64 x86 arm64 arm ppc64 dev-util/cargo-c-0.6.2 amd64 x86 arm64 arm ppc64 media-libs/vulkan-loader-1.2.154 amd64 x86 arm64 arm ppc64 dev-util/vulkan-headers-1.2.154 amd64 x86 arm64 arm ppc64 media-libs/vulkan-layers-1.2.154 amd64 x86 arm64 arm ppc64 dev-util/glslang-10.11.0.0_pre20200924 amd64 x86 arm64 arm ppc64 dev-util/spirv-tools-2020.5_pre20201107 amd64 x86 arm64 arm ppc64 dev-util/spirv-headers-1.5.4 amd64 x86 arm64 arm ppc64 media-libs/nv-codec-headers-9.1.23.1 amd64
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-08-20 18:26:20 UTC
Could we stabilise this on the arches it's keyworded on?

In tree since 23rd July.
Comment 1 NATTkA bot gentoo-dev 2020-08-20 18:30:00 UTC Comment hidden (obsolete)
Comment 2 Stephan Hartmann gentoo-dev 2020-08-21 08:39:28 UTC
Can this wait a bit? Chromium has incomplete ffmpeg-4.3 support only. The shipped patch avoids crashing for video playback, but there are more issues. Also net-im/teams and probably everything that uses chromium internally are not ready for ffmpeg-4.3.
Chromium-86 received ffmpeg-4.3 support last week (not released yet) and should go stable beginning of October.
Comment 3 Sam James archtester gentoo-dev Security 2020-09-12 01:13:00 UTC
(In reply to Stephan Hartmann from comment #2)
> Can this wait a bit? Chromium has incomplete ffmpeg-4.3 support only. The
> shipped patch avoids crashing for video playback, but there are more issues.
> Also net-im/teams and probably everything that uses chromium internally are
> not ready for ffmpeg-4.3.
> Chromium-86 received ffmpeg-4.3 support last week (not released yet) and
> should go stable beginning of October.

I did acknowledge on IRC a little while ago but best to do it here too -- of course. :)
Comment 4 NATTkA bot gentoo-dev 2020-10-07 16:46:11 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2020-10-07 16:54:11 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2020-10-07 16:57:53 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2020-10-07 17:04:54 UTC Comment hidden (obsolete)
Comment 8 Joakim Tjernlund 2020-10-07 17:35:20 UTC
Adding:
--- ./libavutil/mem.c.org	2020-10-07 19:22:30.286728200 +0200
+++ ./libavutil/mem.c	2020-10-07 19:24:04.039885660 +0200
@@ -71,6 +71,8 @@
 static size_t max_alloc_size= INT_MAX;
 
 void av_max_alloc(size_t max){
+    if (!max)
+        max = INT_MAX; /* be compatible to older < 4.3 versions */
     max_alloc_size = max;
 }

makes av_max_alloc(0) backwards compatible, at least Teams works now.
Maybe add this before stabling?
Comment 9 Sam James archtester gentoo-dev Security 2020-10-07 18:47:53 UTC
amd64 done
Comment 10 Sam James archtester gentoo-dev Security 2020-10-07 18:49:33 UTC
x86 done
Comment 11 Sam James archtester gentoo-dev Security 2020-10-07 18:51:44 UTC
x86 done
Comment 12 Sam James archtester gentoo-dev Security 2020-10-07 18:52:40 UTC
(In reply to Joakim Tjernlund from comment #8)
> Adding:
> --- ./libavutil/mem.c.org	2020-10-07 19:22:30.286728200 +0200
> +++ ./libavutil/mem.c	2020-10-07 19:24:04.039885660 +0200
> @@ -71,6 +71,8 @@
>  static size_t max_alloc_size= INT_MAX;
>  
>  void av_max_alloc(size_t max){
> +    if (!max)
> +        max = INT_MAX; /* be compatible to older < 4.3 versions */
>      max_alloc_size = max;
>  }
> 
> makes av_max_alloc(0) backwards compatible, at least Teams works now.
> Maybe add this before stabling?

I've been told that there are other compatibility issues :(
Comment 13 Sam James archtester gentoo-dev Security 2020-10-07 20:13:49 UTC
arm done
Comment 14 Joakim Tjernlund 2020-10-08 00:05:07 UTC
(In reply to Sam James from comment #12)
> (In reply to Joakim Tjernlund from comment #8)
> > Adding:
> > --- ./libavutil/mem.c.org	2020-10-07 19:22:30.286728200 +0200
> > +++ ./libavutil/mem.c	2020-10-07 19:24:04.039885660 +0200
> > @@ -71,6 +71,8 @@
> >  static size_t max_alloc_size= INT_MAX;
> >  
> >  void av_max_alloc(size_t max){
> > +    if (!max)
> > +        max = INT_MAX; /* be compatible to older < 4.3 versions */
> >      max_alloc_size = max;
> >  }
> > 
> > makes av_max_alloc(0) backwards compatible, at least Teams works now.
> > Maybe add this before stabling?
> 
> I've been told that there are other compatibility issues :(

Any clues as to what ? Gentoo announces 4.3 with the same subslot so
it should be compatible ...
Comment 15 Sam James archtester gentoo-dev Security 2020-10-08 02:28:29 UTC
arm64 done
Comment 16 Ted Marston 2020-10-08 15:09:29 UTC
media-video/ffmpeg-4.3.1 fails to compile on x86_64. See Gentoo's Bugzilla – Bug 747334
Comment 17 Agostino Sarubbo gentoo-dev 2020-10-09 08:37:02 UTC
ppc64 stable
Comment 18 NATTkA bot gentoo-dev 2020-12-16 20:13:09 UTC Comment hidden (obsolete)
Comment 19 NATTkA bot gentoo-dev 2020-12-18 11:37:02 UTC Comment hidden (obsolete)
Comment 20 NATTkA bot gentoo-dev 2020-12-18 11:41:00 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2020-12-18 12:49:14 UTC
All sanity-check issues have been resolved
Comment 22 Sergei Trofimovich gentoo-dev 2020-12-22 20:04:44 UTC
sparc stable
Comment 23 Sergei Trofimovich gentoo-dev 2020-12-22 20:05:12 UTC
Last arch. Closing.